import * as Adaptive from "./card-elements";
export declare class JsonParser {
    private _card;
    private parseBaseAction(json, action);
    private parseExternalAction(json, action);
    private parseActionOpenUrl(json, action);
    private parseActionHttp(json, action);
    private parseActionSubmit(json, action);
    private parseActionShowCard(json, action);
    private createAction(json);
    private parseCardElement(json, cardElement);
    private parseTextBlock(json, textBlock);
    private parseImage(json, image);
    private parseImageSet(json, imageSet);
    private parseFactSet(json, factSet);
    private parseContainerActions(json, container);
    private parseContainer(json, container, itemsCollectionPropertyName);
    private parseColumn(json, column);
    private parseColumnSet(json, columnSet);
    private parseInput(json, input);
    private parseInputText(json, input);
    private parseInputNumber(json, input);
    private parseInputDate(json, input);
    private parseInputTime(json, input);
    private parseInputToggle(json, input);
    private parseInputChoiceSet(json, input);
    private createCardElement(json, container);
    parse(json: any): Adaptive.AdaptiveCard;
}
